## org.apache.catalina.startup
Class CatalinaProperties

    java.lang.Object
      org.apache.catalina.startup.CatalinaProperties

    public class CatalinaProperties

extends java.lang.Object

Utility class to read the bootstrap Catalina configuration.

Version:
  $Revision: 467222 $ $Date: 2006-10-24 05:17:11 +0200 (Tue, 24 Oct 2006) $
Author:
  Remy Maucherat

Constructor Summary
`CatalinaProperties()`

Method Summary
`static java.lang.String` `getProperty(java.lang.String name)` Return specified property value.
`static java.lang.String` `getProperty(java.lang.String name, java.lang.String defaultValue)` Return specified property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CatalinaProperties

    public CatalinaProperties()

Method Detail

### getProperty

    public static java.lang.String getProperty(java.lang.String name)

  Return specified property value.

### getProperty

    public static java.lang.String getProperty(java.lang.String name,
                                               java.lang.String defaultValue)

  Return specified property value.

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.